Mobile to Name Lookup

A Name Lookup API that allows users or applications to look up the owner’s name associated with a given phone number. These APIs are used in cases where you need to verify the identity of a caller, enhance user profiles, or validate the legitimacy of phone numbers.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Header Parameters

NameTypeDescriptionMandatory (M) , Optional (O)Provided by INSTANTPAY (Y/N)
X-Ipay-Auth-CodeStringAuth Code is "1" (Fixed)MY
X-Ipay-Client-IdStringUnique Client Id Provided by InstantpayMY
X-Ipay-Client-SecretStringUnique Client Secret Provided by InstantpayMY
X-Ipay-Endpoint-IpStringEnd customer IP AddressMY

Request Parameters

Parameter NameTypeRequirementDescription
mobileNumberStringMandatoryUser Mobile Number
latitudeStringMandatoryEnd Customer Latitude.
longitudeStringMandatoryEnd Customer Longitude
externalRefStringMandatoryYour Unique Transaction id
consentStringMandatoryConsent should be
accepted by
customer

Sample Request

curl --location 'https://api.instantpay.in/identity/mobile/nameLookup' \
--header 'X-Ipay-Auth-Code: 1' \
--header 'X-Ipay-Client-Id: YWY3Oxxxxxxxxxx5IEcETrD5Yx+Q=' \
--header 'X-Ipay-Client-Secret: 82e4755xxxxxxxxxxxxxx7f3000aa5b56fc926d1' \
--header 'X-Ipay-Endpoint-Ip: 14.142.186.142' \
--header 'Content-Type: application/json' \
--data '{
    "mobileNumber" : 9876543210,
    "consent" : "Y",
    "latitude": "11.1009",
    "longitude": "26.9119",
    "externalRef": "1729743447"
}'
POST /identity/mobile/nameLookup HTTP/1.1
Host: api.instantpay.in
X-Ipay-Auth-Code: 1
X-Ipay-Client-Id: YWY3OTAzxxxxxxxxxxxxcETrD5Yx+Q=
X-Ipay-Client-Secret: 82e4755d7xxxxxxxxxxxxxxxxxxxx87f3000aa5b56fc926d1
X-Ipay-Endpoint-Ip: 14.142.186.142
Content-Type: application/json
Content-Length: 144

{
    "mobileNumber" : 9876543210,
    "consent" : "Y",
    "latitude": "11.1009",
    "longitude": "26.9119",
    "externalRef": "1729743474"
}

Response Parameters

Parameter NameTypeDescription
statuscodeStringInstantpay Status Code
actcodeStringAction Code
statusArrayStatus message
dataStringResponse Data(if Present)
timestampStringResponse time (YYYY-MM-DD HH:II:SS)
ipay_uuidStringRequest reference number
orderidStringTransaction Id(if transaction otherwise it is null)
environmentStringLive/Sandbox
internalCodeStringIt will be null

Sample Response

{
      "statuscode": "TXN",
      "actcode": null,
      "status": "Transaction Successful",
      "data": {
        "mobileLinkedName": "No Record found",
        "poolReferenceId": "1260203145658BKSJR",
        "pool": {
          "openingBal": "316977.56",
          "mode": "DR",
          "amount": "1.18",
          "closingBal": "316976.38"
        }
      },
      "timestamp": "2026-02-03 14:56:58",
      "ipay_uuid": "h000a0fd9aa6-ee6a-4fd4-963b-bdc17448d00d-GvIb5vAIAw0D",
      "orderid": "1260203145658BKSJR",
      "environment": "LIVE",
      "internalCode": null
    },
📘

Consent Text :

I hereby give my consent and submit voluntarily at my own discretion, my Voter ID for the
purpose of establishing my identity on the portal. The Voter ID submitted herewith shall not be used for
any purpose other than mentioned, or as per the requirements of the law.

Body Params
string

User Mobile Number

string

End Customer Latitude.

string

End Customer Longitude.

string

Your Unique Transaction id

string
Headers
string
Defaults to 1

Auth Code

string

Unique Client Id Provided by Instantpay

string

Unique Client Secret Provided by Instantpay

string

End Customer IP Address

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json